#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: Workflow

inputs:
  inKallistoResults: Directory
  inMetadataFile: File
  inMetadataSample: string
  inMetadataFactorList: string[]
  inMetadataDataCol: string
  outFolder: string

steps: 
  collectResults:
    run: ../../workflows/sleuth/workflow.cwl
    in:
      inKallistoResults: inKallistoResults
      inMetadataFile: inMetadataFile
      inMetadataSample: inMetadataSample
      inMetadataFactorList: inMetadataFactorList
      inMetadataDataCol: inMetadataDataCol
      outFolder: outFolder
    out: [outdir]

outputs:
 outdir:
    type: Directory[]
    outputSource: collectResults/outdir
